/*
 * Class DEBUG_OUTPUT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_623 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_623 [] = {0xFF01,1551,622,0xFFFF};
static const EIF_TYPE_INDEX egt_2_623 [] = {0xFF01,622,0xFFFF};
static const EIF_TYPE_INDEX egt_3_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_623 [] = {0xFF01,622,0xFFFF};
static const EIF_TYPE_INDEX egt_6_623 [] = {0xFF01,622,0xFFFF};
static const EIF_TYPE_INDEX egt_7_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_623 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_623 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_623 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_623 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_623 [] = {0xFF01,622,0xFFFF};
static const EIF_TYPE_INDEX egt_13_623 [] = {0xFF01,911,0xFFFF};


static const struct desc_info desc_623[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_623), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_623), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_623), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_623), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_623), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_623), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_623), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_623), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_623), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_623), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_623), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_623), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04DD /*622*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_623), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_623), -1, 0xFFFFFFFF},
};
void Init623(void)
{
	IDSC(desc_623, 0, 622);
	IDSC(desc_623 + 1, 1, 622);
	IDSC(desc_623 + 32, 224, 622);
}


#ifdef __cplusplus
}
#endif
